<?php

/**
array getInfoFrom_smtpConf() : 
Return, in a PHP array, values strored in /var/lib/OSP/[domain]/smtpConf

**/

function getInfoFrom_smtpConf() {

	Global $path_to_data ;

	$this_smtpConf_file = $path_to_data.$_SESSION['domainName']."/smtpConf" ;

	$data = file($this_smtpConf_file);
	foreach ($data as $line) {

		$val = explode("=",$line) ;
		 $key   = $val[0] ;
		 $value = str_replace(array("\"","\n"),array("",""),$val[1]) ;  
			

		if(!empty($value)) {
			if( !preg_match("/item|action/",$key) ) {

				if( preg_match("/To/",$key) ) {
					$thisArray['To'][] = $value ;		
				} else {
	 				$thisArray[$key] = $value ;
				};
			};
		};	
	};

	return $thisArray ;

} ;


function displayInfoFrom_smtpConf() {

	Global $l_smtp_server, $l_smtp_from, $l_smtp_password, $l_smtp_to, $l_smtp_modify, $l_smtp_test ;

	$values = getInfoFrom_smtpConf()  ;
	
	$html = "<table class='mytableReporting' width='25%'>";
	$html .= "<tr> 
			<td class='left180' > $l_smtp_server : </td>
			<td class='left'> ".$values['Server']."</td>	
		</tr>" ;

        $html .= "<tr>
                        <td class='left180'> $l_smtp_from : </td>
                        <td class='left' > ".$values['From']."</td>
                </tr>" ;

	$html .= "<tr height='10px'></tr>";

	foreach ($values['To'] as $To ) {
	
        	$html .= "<tr>
                        	<td class='left180'> $l_smtp_to : </td>
                        	<td class='left'> $To</td>
                  	</tr>" ;

	};

	$html .= "<tr height='10px'></tr>";

        $html .= "<tr>
                        <td colspan='2' class='center'> 
				            <a href='?item=Reporting&action=modifSmtpConf'> $l_smtp_modify </a> 
			            </td>
                  </tr>" ;

    if(!empty($values['Server']) and !empty($values['From']) and !empty($values['passwordFrom']) and !empty($values['To']) ) {

        $html .= "<tr height='10px'></tr>";
        $html .= "<tr>
                        <td colspan='2' class='center'>
                            <a href='?item=Reporting&action=testSMTPConf'> $l_smtp_test </a>
                        </td>
                  </tr>" ;
    };



	$html .= "</table>";

	return $html ;
};


function modifyInfoFrom_smtpConf() {

	Global $l_smtp_server, $l_smtp_from, $l_smtp_password, $l_smtp_to, $l_smtp_add, $l_smtp_delete, $l_smtp_valid ;

	$values = getInfoFrom_smtpConf()  ;
	$intTextBox=max(array_keys($values['To'])) + 0;

	$form .= "<script language='javascript'>var intTextBox=$intTextBox ;</script>";
	$form .= "<script language=\"JavaScript\" src=\"js/addRemove.js\" type=\"text/javascript\"> </script>";


	$form .= "<form method='POST' action='?'> " ;
	$form .= "<table class='mytableReporting'>" ;
	$form .= "<tr>
                        <td>$l_smtp_server : </td><td><input style='width:350px;' type='text' name='Server' value='".$values['Server']."'></td>
                  </tr>" ;

        $form .= "<tr>
                        <td>$l_smtp_from : </td><td><input style='width:350px;' type='text' name='From' value='".$values['From']."'></td>
                </tr>" ;

        $form .= "<tr>
                        <td>$l_smtp_password : </td><td><input style='width:350px;' type='password' name='passwordFrom' value='".$values['passwordFrom']."'></td>
                  </tr>" ;

	$form .= "<tr height='10px'></tr>" ;

	$form .= "<tr><td colspan='2'> <div id='ToAddress'>";

	$form .= "<a href=\"javascript:addElement('$l_smtp_to');\">$l_smtp_add <img src='images/iconAdd.png' border='0'></a> ";	

	if ( empty($values['To']) ) {
		$form .= "<p id='To0'>$l_smtp_to : <input style='width:350px;' type='text' name='To0' value=''> ";
		 $form .= "</p>" ;	


	} else {
		foreach ($values['To'] as $id=>$To ) {

                	$form .= "<p id='To$id'>$l_smtp_to : <input style='width:350px;' type='text' name='To$id' value='$To'> ";
			$form .= "<a href='javascript:removeElement($id)'><img src='images/iconTrash.png' border='0' alt='$l_smtp_delete' title='$l_smtp_delete'></a> ";
			$form .= "</p>" ;
        	};
	};

	$form .= "</div></td></tr>" ;

	$form .= "<tr>
			<td colspan='2'>
				<input type='hidden' name='item' value='Reporting'>
				<input type='hidden' name='action' value='saveSmtpConf'>
				<input type='submit' value='$l_smtp_valid'>
			</td>
		</tr>	
		";

        $form .= "</table>";
	$form .= "</form>";


	return $form ;



} ;

function saveInfoTo_smtpConf($POST) {

        Global $path_to_data ;

        $this_smtpConf_file = $path_to_data.$_SESSION['domainName']."/smtpConf" ;
	$fp = fopen($this_smtpConf_file, "w+" ) ;
	
        foreach ($POST as $key=>$value) {

		if( !preg_match("/item|action/",$key) ) {
			$thisLine="$key=\"$value\"\n" ;
			fwrite($fp,$thisLine);
		};
        };


	fclose($fp);


	return TRUE ;

} ;

function do_test() {
    
    Global $lang ;

    require("/usr/share/bm-stats/www/class/smtp/Class.SMTP.php");
    require("inc_lang/inc_lang_smtp_$lang.php");

    $thisDomain = $_SESSION['domainName'] ;

    $infoToEmail = getInfoFrom_smtpConf() ;
        $thisServer       = $infoToEmail['Server'];
        $thisFrom         = $infoToEmail['From'];
        $thisPasswordFrom = $infoToEmail['passwordFrom'];


    if($infoToEmail) {
        if( !empty($thisServer) and !empty($thisFrom) and !empty($thisPasswordFrom) and !empty($infoToEmail['To']) ) {
            $smtp = new SMTP("$thisServer", "$thisFrom", "$thisPasswordFrom", 25, "$thisDomain", 0);

            if(!$smtp->Connect_SMTP()) {
                echo $smtp->erreur,'Impossible d&#39; envoyer le mail !!!<br />'."\r\n";
                exit();
            } else {
                $smtp->set_from($thisFrom,$thisFrom) ;
                $smtp->ReplyTo     = "$thisFrom" ;
                $smtp->Priority    = 3 ;
                $smtp->ContentType = 'text/html' ;


                $thisDestinataire = implode(",",$infoToEmail['To']) ;

                $thisSubject = preg_replace("/__thisDomain__/",$thisDomain,$pdfreport_smtp_subject)." - TEST - TEST" ;
                $thisBody    = preg_replace("/__thisDomain__/",$thisDomain,$pdfreport_smtp_body);
               
                $smtp->smtp_mail($thisDestinataire, $thisSubject, $thisBody);

                $smtp->Deconnection_SMTP();

            };

        } else {
            exit() ;
        };
    };

    return True ;
};


?> 
